import styled from 'styled-components'

const ViewStyle = styled.div`
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;

	.meVolumeContainer {
		width: 6px;
		height: 30px;
		background-color: #ccc;
		position: relative;
		border-radius: 10px;
		overflow: hidden;

		.meVolumeInner {
			width: 100%;
			background-color: orangered;
			transition: height 0.2s;
			position: absolute;
			bottom: 0;
		}
	}
`

const MainStyle = styled.div`
	display: flex;
	height: calc(100% - 60px);
	width: 100%;
	flex-direction: row;
`
const MainCenterStyle = styled.div`
	display: flex;
	flex: 1;
	height: 100%;
	background-color: rgb(0 0 0 / 75%);
	align-items: center;
	justify-content: center;

	#big-view {
		// border: 1px #ccc solid;
		margin: 0 auto;
		background-color: lightslategrey;
	}
`

const MainRightStyle = styled.div`
	${'' /* display: flex; */}
	width: 260px;
	height: 100%;
	background-color: #000;
	transition: width 0.3s;
	&.background {
		background-color:rgb(0 0 0 / 90%)
	}
	&.main-right-min {
		width: 0px;
		transition: width 0.3s;
	}
	&.mtList {
		overflow: auto;
		overflow-x: hidden;
	}

	.member_list_container {
		width: 100%;
		height: 100%;
		overflow: auto;
		overflow-x: hidden;

		.member_each {
			width: 240px;
			height: 150px;
			border: 1px #ccc solid;
			margin: 10px;
			position: relative;

			&.member_each_first {
				transition: all 0.3s;
			}

			video {
				width: 100%;
				height: 100%;
				object-fit: cover;
			}

			.member_each_tool {
				width: 100%;
				height: 30px;
				background-color: #000;
				opacity: 0.6;
				position: absolute;
				bottom: 0;
				left: 0;
				display: flex;
				color: white;

				&_left {
					padding-left: 5px;
					display: flex;
					align-items: center;
					justify-content: flex-start;
					flex: 2;
				}
				&_right {
					flex: 1;
					padding-right: 10px;
					display: flex;
					align-items: center;
					justify-content: flex-end;

					.ant-btn {
						font-size: 12px;

						&-sm {
							height: 20px;
							padding: 0px 4px;
						}
					}
				}
			}
		}
	}
`

const BToolStyle = styled.div`
	display: flex;
	height: 60px;
	width: 100%;
	background-color: #000;
	align-items: center;
	border-top:1px solid;
`

const BToolLeftStyle = styled.div`
	display: flex;
	height: 60px;
	// width: 100px;
	// background-color: #666;
	align-items: center;
`
const BToolMidStyle = styled.div`
	display: flex;
	height: 60px;
	flex: 1;
	background-color: #000;
	align-items: center;
	justify-content: center;
	color: white;
	font-size: 20px;
	color: #7d7373;

	.tool-each {
		margin: 0 10px;
		border-radius: 50%;
		color: #7d7373;
		border: 1px #7d7373 solid;
		width: 40px;
		height: 40px;
		display: flex;
		align-items: center;
		justify-content: center;
		cusor: pointer;
		position: relative;

		.tool-each-tip-container {
			width: 70px;
			height: 70px;
			position: absolute;
			top: -68px;
            display: none;
            font-size:12px;

			& > div {
				height: 28px;
				width: 100%;
				display: flex;
				align-items: center;
				justify-content: center;
                cusor: pointer;
                background-color: #000;
                color:white;

                &:hover 
                {
                    background-color: orangered;
                    color:white;
                    cursor:pointer;
                }
			}
		}

		&:hover {
			color: white;
			cusor: pointer;
			border: 1px white solid;
			background-color: white;

			.tool-each-tip-container {
				display: block;
			}
		}

		&.on {
			color: green;
			cusor: pointer;
			border-color: cornsilk;
			background: cornsilk;
		}

		&.off {
			color: orangered;
			border-color: orangered;
			cusor: pointer;
		}
	}
`

const BToolRightStyle = styled.div`
	display: flex;
	height: 60px;
	align-items: center;
	color: white;
	font-size: 18px;
	padding-right: 10px;

	& > * {
		margin: 0 10px;
	}
`

const MemberListStyle = styled.div``

const LayoutStyle = styled.div`
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;

	.m-layout-header {
		width: 100%;
		height: 54px;
		background: rgb(23, 23, 23);
		color: white;
		display: flex;
		align-items: center;
		padding: 0px 20px;
		font-size: 18px;
		flex-direction: row;
	}

	.m-layout-header-left {
		flex: 1;
		display: flex;
		align-items: center;
	}

	.m-layout-header-right {
		width: 300px;
		display: flex;
		align-items: center;
		justify-content: flex-end;
		font-size: 14px;
	}

	.m-layout-body {
		width: 100%;
		flex: 1;
		display: flex;
		overflow: hidden;
		position: relative;
	}

	.loginName {
		width: 200px;
		height: 30px;
		background-color: #ccc;
	}
`
const MainRightContentTittle = styled.div`  
    width:100%;
    height:40px;
    line-height:66px;
    font-size:14px;
    display: inline-block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    color:#fff;
    .memberspan{
        float:left;
        margin-left:20px;
    }
	span.add{
        color:#878787;
        float: left;
        margin-left: 20px;
        margin-top: -6px;
    }
`

const MemberListRightWrap = styled.div`  
    width:100%;
    height:40px;
    line-height:66px;
    font-size:14px;
    display: inline-block;
    color:#fff;
	margin-left:20px;
    .mtName{
        color:#fff;
		overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    }
	.memberListItem{
		overflow-y:scroll;
		overflow-x:hidden;
	}
`
const MeetingDetailRight = styled.div`  
    width:calc(100% - 10px);
    height:calc(100% - 100px);
	color:rgb(225, 223, 223);
    .meetingInfo{
        box-sizing: border-box;
        width: 100%;
        margin-top:20px;
        div{
            box-sizing: border-box;
            width: 100%;
            padding-left:20px;
            word-break:break-all;
        }
        .href{
            float: right;
            margin-right: 20px;
            color: #00BFFF;
            text-decoration: underline;
            cursor:pointer;
        }
		.margin{
			margin:5px 0
		}
    }
    .copyDetail{
        height:70px;
        .copy{
                text-decoration: underline;
                cursor: pointer;
                color: #00BFFF;
                width: 100%;
                padding-top: 20px;
                text-align: center;
        }
    }
`
const CopySuccess = styled.div`
    height:50px;
    width:180px;
    background:#4E4E4E;
    color:#fff;
    font-size: 16px;
    text-align: center;
    margin-left:40px;
    z-index:1000;
    margin-top: -59px;
    position:absolute;
    #copyInfo {
		position: fixed;
		left: -100000px;
		top: -100000px;
        opacity:0;
    }
    span{
        display: inline-block;
        height: 50px;
        line-height: 50px;
    }
    &.fade{
		opacity:0;
    }
`
// 音量能量条
const VolumBarWrap = styled.div`
    width: 100%;
    height: 30px;
    margin-top: 8px;
    position: relative;
    font-size: 12px;
    .volum-bar-outer{
        width: 100%;
        height: 22px;
        padding-top: 2px;
        display: inline-block;
        vertical-align: middle;
        position: relative;
    }
    .volum-bar-inner{
        width: 100%;
        background-color: #e6e6e8;
    }
    .volum-bar-bg{
        height: 4px;
        background-color: #008ccd;
        transition: all .5s linear 0s;
        position: relative;
        &.volume0{
            width: 0;
        }
        &.volume1{
            width: 10%;
        }
        &.volume2{
            width: 20%;
        }
        &.volume3{
            width: 30%;
        }
        &.volume4{
            width: 40%;
        }
        &.volume5{
            width: 50%;
        }
        &.volume6{
            width: 60%;
        }
        &.volume7{
            width: 70%;
        }
        &.volume8{
            width: 80%;
        }
        &.volume9{
            width: 90%;
        }
        &.volume10{
            width: 100%;
        }
        &.muted{
            width: 0;
        }
    }
`
const MainRightContentBottom = styled.div`  
	position:absolute;
	bottom:60px;
    width:100%;
    height:30px;
	margin-left:20px;
    .search-input{
        border: none;
        border-bottom: 1px solid #fff;
        color: #fff;
        background: #191919;
    }
    .searchBtn{
        display:inline-block;
        cursor:pointer;
    }
	.search{
		display:inline-block;
		float:left;
		color:#fff;
		margin-top:5px
	}
    
`
export {
	MainCenterStyle,
	MainRightStyle,
	ViewStyle,
	MainStyle,
	BToolStyle,
	MemberListStyle,
	BToolLeftStyle,
	BToolMidStyle,
	BToolRightStyle,
	LayoutStyle,
	MainRightContentTittle,
	MemberListRightWrap,
	MeetingDetailRight,
	CopySuccess,
	VolumBarWrap,
	MainRightContentBottom
}
